[dev-mcuboot] Which version of zephyr is compatible with v1.3 mcuboot release?

Puzdrowski, Andrzej Andrzej.Puzdrowski at nordicsemi.no
Sat Feb 23 03:00:07 EST 2019


As we encounter problem with compatible zephyproject-rtos version for building mcuboot release 1.3

### Problem:
Can not to build mcuboot v1.3 against zephyr 1.13 and  zephyr master HEAD.
zephyr master HEAD of this note time is https://github.com/zephyrproject-rtos/zephyr/commit/c2d5e7b01ccff8be61ca139f578fdbce84b08713
(so one of 1.14 zephyr release stabilization in progress version)


### Solution a)
If you want to use v1.3 without any patch use the last compatible zephyr version.

build mcuboot against last full compatible zephyr mainline SHA:  https://github.com/zephyrproject-rtos/zephyr/commit/11ca2b61339373b2e0e5b4e0505b1ea1f53747cf

It is also possible to build until newer zephyr SHA: https://github.com/zephyrproject-rtos/zephyr/commit/85c8c0fe3cffeec929531fa2a42d8dfdfbcf71d7 but loggs stops working after [zephyr 11cab6](https://github.com/zephyrproject-rtos/zephyr/commit/11ca2b61339373b2e0e5b4e0505b1ea1f53747c)

### Solution b)
If you can accept a few aligning patch on v1.3 then switch to mcuboot mainline version, use [mcuboot  ver. ready for zephyr 1.14 zephyr](https://github.com/JuulLabs-OSS/mcuboot/commit/0cd178d0e9e4cfe5c5ff6d62fba1b7c072138da7) or newer.

zephyr master HEAD of this note time is https://github.com/zephyrproject-rtos/zephyr/commit/c2d5e7b01ccff8be61ca139f578fdbce84b08713

Above description is copied here https://github.com/JuulLabs-OSS/mcuboot/issues/429



Andrzej Puzdrowski
_______________________________________________

MCUBoot: a secure, open source bootloader for 32-bit MCUs http://lists.runtime.co/mailman/listinfo/dev-mcuboot_lists.runtime.co

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.runtime.co/pipermail/dev-mcuboot_lists.runtime.co/attachments/20190223/8543d7be/attachment.html>


More information about the dev-mcuboot mailing list